> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supernormal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a post

> Returns a single post



## OpenAPI

````yaml get /posts/{id}
openapi: 3.0.1
info:
  title: Supernormal API
  description: Documentation for the Supernormal API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.supernormal.com/api/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
    description: Operations about agents
  - name: Calendar Events
    description: Operations about calendar
  - name: Posts
    description: Operations about posts
  - name: Current User
    description: Operations about user
paths:
  /posts/{id}:
    get:
      tags:
        - Posts
      summary: Get a post
      description: Returns a single post
      parameters:
        - name: id
          in: path
          description: The ID of the post to get
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Post response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostDetail'
      security:
        - ApiKeyAuth:
            - posts:read
components:
  schemas:
    PostDetail:
      type: object
      allOf:
        - $ref: '#/components/schemas/Post'
        - type: object
          properties:
            notes:
              description: The post's notes
              type: array
              items:
                $ref: '#/components/schemas/Note'
            transcript:
              description: The post's transcript
              type: array
              items:
                $ref: '#/components/schemas/TranscriptSegment'
    Post:
      type: object
      properties:
        id:
          description: The post’s ID
          type: string
        title:
          description: The post’s title
          type: string
        published_at:
          description: The post’s published at time in ISO 8601 format
          type: string
        summary:
          description: A brief description of the meeting
          type: string
        seen:
          description: Whether the post has been seen by the current caller
          type: boolean
    Note:
      type: object
      properties:
        id:
          description: The note’s ID
          type: string
        body:
          description: The note’s body
          type: string
        timestamp:
          description: The note’s approximate transcript timestamp in seconds
          type: number
        parent_id:
          description: The note’s parent ID. Present if the note is a child of another note
          type: string
        created_at:
          description: The note’s created at time
          type: string
        display_name:
          description: The note’s display name
          type: string
        type:
          description: The note’s type
          type: string
    TranscriptSegment:
      type: object
      properties:
        start:
          description: The transcript’s start time
          type: number
        end:
          description: The transcript’s end time
          type: number
        content:
          description: The transcript’s content
          type: string
        author_name:
          description: The transcript’s author name
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-TOKEN
      x-scopes:
        user:read: Read user information
        calendar_events:read: Read calendar events
        calendar_events:write: Write calendar events

````